[ldap]
# Most settings have sensible defaults. You must set user and either pass or passcmd.

# host is the hostname of the KIT Active Directory server. Do not change this unless you know what you are doing.
# host    = "kit-ad.scc.kit.edu"

# port is the TCP listening port of the KIT Active Directory server. Do not change this unless you know what you are doing.
# port    = 636

# base is the search base for the KIT Active Directory server. Do not change this unless you know what you are doing.
# basedn  = "DC=kit,DC=edu"

# user is the username of the user to authenticate with.
# Use one of these three formats:
#   - "KIT\\bb4711"                                  # (Domain\\Username)
#   - "beate.beispiel@kit.edu"                       # (UPN, preferred)
#   - "CN=Beate Beispiel,OU=KIT-Users,DC=kit,DC=edu" # (Distinguished Name)
user    = "bb4711@kit.edu" # TODO: CHANGE ME

# pass is the password of the user to authenticate with. Use passcmd instead if you want to use a password manager.
# Make sure to protect this file with proper file permissions (›chmod 0600 ~/.config/kituserlookup.toml‹) if you use pass.
# pass = "secret" # TODO: CHANGE ME or use passcmd

# passcmd specifies a command to run to get the password. The command must print the password to stdout.
# Commands are executed without a shell, so you cannot use shell builtins, variables or pipes.
# All parts of the command need to be given as separate strings in the list. No quoting is neccessary.
#
# Example: if you use ›rbw get "KIT-Account: Beate Beispiel (bb4711)"‹ in your shell, set
# passcmd = ["rbw", "get", "KIT-Account: Beate Beispiel (bb4711)"]
#
passcmd = ["gopass", "cat", "KIT/Accounts/bb4711"] # TODO: CHANGE ME or use pass